package com.jeeplus.assess.invoice.domain.OMS.InvoiceDown;
import org.hibernate.validator.constraints.NotBlank;

/**
 * 二手车发票关联的二手车销售统一发票信息实体类
 * 用于关联二手车销售发票的数电/纸质发票信息
 */
public class OMSDownUsedCar {
    /**
     * 关联的二手车销售统一发票数电发票号码
     * 必填，20个字节
     */
    @NotBlank(message = "关联的数电发票号码allEinVno不能为空")
    private String allEinVno;

    /**
     * 关联的二手车销售统一发票纸质发票代码
     * 非必填，12/10个字节
     */
    private String invcode;

    /**
     * 关联的二手车销售统一发票纸质发票号码
     * 非必填，8个字节
     */
    private String invno;

    public String getAllEinVno() {
        return allEinVno;
    }

    public void setAllEinVno(String allEinVno) {
        this.allEinVno = allEinVno;
    }

    public String getInvcode() {
        return invcode;
    }

    public void setInvcode(String invcode) {
        this.invcode = invcode;
    }

    public String getInvno() {
        return invno;
    }

    public void setInvno(String invno) {
        this.invno = invno;
    }
}
